import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner


class MainTest(unittest.TestCase):

    def test_answer(self):
        input_string = '''
            25 2 50 1 500 127900
            39 3 10 1 1000 222100
            13 2 13 1 1000 143750
            82 5 20 2 120 268000
            130 6 10 2 600 460700
            115 6 10 1 550 407000
        '''

        input_file = io.StringIO(input_string)

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        fit_model(input_file)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output,"[2989.6  800.6  -44.8 3890.8   99.8]\n[127907.6 222269.8 143604.5 268017.6 460686.6 406959.9]")

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())